Issue2080

classification
Title: unicode kwargs are received as str type in the function
Type: Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: irmen, santa4nt, zyasoft
Priority: Keywords:

Created on 2013-08-26.16:46:14 by irmen, last changed 2015-01-14.17:14:35 by zyasoft.

Messages
msg8094 (view) Author: Irmen de Jong (irmen) Date: 2013-08-26.16:46:13
When using unicode kwargs in a function call, the keyword is received as a str type in the function:

>>> def func(*vargs, **kwargs):
...   print "vargs=%r  kwargs=%r" % (vargs, kwargs)
...
>>> func(u'\u20ac', **{u'\u20ac': 42})
vargs=(u'\u20ac',)  kwargs={'\u20ac': 42}
>>>

Expected behavior: unicode kwargs should be of type unicode in the function.
msg8482 (view) Author: Jim Baker (zyasoft) Date: 2014-05-21.21:36:50
Indeed, this is a serious discrepancy on the face of it:

$ python test_unicode.py
vargs=(u'\u20ac',)  kwargs={u'\u20ac': 42}

$ jython27 jbaker$ jython27 test_unicode.py
vargs=(u'\u20ac',)  kwargs={'\u20ac': 42}

Blocker for beta 4
msg9329 (view) Author: Jim Baker (zyasoft) Date: 2015-01-07.06:39:47
Now fixed, likely as part of https://hg.python.org/jython/rev/1b83af91c320 (our unit tests covered this case, simply add to ensure we were not skipping)
History
Date User Action Args
2015-01-14 17:14:35zyasoftsetstatus: pending -> closed
2015-01-07 06:39:47zyasoftsetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg9329
2014-05-21 21:36:50zyasoftsetresolution: accepted
messages: + msg8482
nosy: + zyasoft
2013-08-27 00:14:32santa4ntsetnosy: + santa4nt
2013-08-26 16:46:14irmencreate